Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 186231 - cupsd segfault with PPD
Summary: cupsd segfault with PPD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2006-03-22 13:28 UTC by Neal Becker
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.2.11-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-02 16:12:22 UTC


Attachments (Terms of Use)
cups config (deleted)
2007-06-28 09:58 UTC, Bernard Johnson
no flags Details


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 2408 None None None Never
CUPS Bugs and Features 2425 None None None Never

Description Neal Becker 2006-03-22 13:28:11 UTC
Description of problem: 
 
Mar 22 08:30:09 nbecker4 kernel: cupsd[5380]: segfault at 0000000000000010 rip 
000055555557d836 rsp 00007ffff 
fc535f0 error 4 
 
Version-Release number of selected component (if applicable): 
cups-1.2-0.1.b2.2 
 
How reproducible: 
don't know 
 
Steps to Reproduce: 
1. visit localhost:631 
2. Add printer 
3. Try to print test page 
   
Actual results: 
 
 
Expected results: 
 
 
Additional info:

Comment 1 Tim Waugh 2006-03-22 14:18:11 UTC
Changing version to devel.  FC5 ships with cups-1.1.23.

Comment 2 Tim Waugh 2006-03-23 13:42:35 UTC
Please install the corresponding cups-debuginfo package, and then attach to the
cupsd process like this:

gdb /usr/sbin/cupsd 1104

(or whatever PID cupsd has)

Then at the (gdb) prompt enter 'continue'.  Go through the steps-to-reproduce
above, and when you get the (gdb) prompt again, please enter 'bt'.

Comment 4 Bernard Johnson 2007-06-26 22:00:20 UTC
cups-1.2.11-1.fc8

I get an immediate segfault on i386:

# /usr/sbin/cupsd
cupsd: Child exited on signal 11!


Running under the debugger causes it to not segfault:

# gdb /usr/sbin/cupsd
GNU gdb Red Hat Linux (6.6-15.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) set detach-on-fork off
(gdb) r
Starting program: /usr/sbin/cupsd 
[Thread debugging using libthread_db enabled]
[New Thread -1208736032 (LWP 4955)]

Stracing it causes it to not crash as well.




Comment 5 Tim Waugh 2007-06-28 09:03:04 UTC
Bernard: please attach your CUPS configuration.

tar zcf cups-config.tar.gz /etc/cups /var/cache/cups


Comment 6 Bernard Johnson 2007-06-28 09:58:36 UTC
Created attachment 158106 [details]
cups config

Comment 7 Tim Waugh 2007-06-28 12:12:13 UTC
Thanks.  Reported upstream.

Comment 8 Fedora Update System 2007-06-29 14:02:55 UTC
cups-1.2.11-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2007-07-02 16:12:14 UTC
cups-1.2.11-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.